Template:Notice/styles.css

< Template:Notice
蓮花祖泉讨论 | 贡献2024年3月2日 (六) 16:45的版本 (导入1个版本)
(差异) ←上一版本 | 最后版本 (差异) | 下一版本→ (差异)
/**
 * [[Category:Template style pages]]
 */
.template-notice {
	background-color: #f8f9fa;
	border: 1px solid #a2a9b1;
	border-top: .5em solid #a2a9b1;
	display: table;
	margin: 1em 0;
	overflow: hidden;
}
.template-notice-image,
.template-notice-logo {
	display: table-cell;
	padding: .5em;
	vertical-align: middle;
	white-space: nowrap;
}
.template-notice-image img,
.template-notice-logo img {
	vertical-align: middle;
}
.template-notice-content {
	display: table-cell;
	padding: .5em;
	vertical-align: middle;
	width: 100%;
}
.template-notice-title {
	font-weight: bold;
	margin-right: 1em;
}
.template-notice-more {
	display: none;
	cursor: pointer;
}
.template-notice-foot {
	font-size: smaller;
}

/**
 * Dark mode
 */
body.poncho-dark-mode .template-notice {
	background: #303134;
	border-color: #3c4043;
	color: #bdc1c6;
}

/**
 * Mobile and small screens
 */
@media screen and (max-width:600px) {
	.template-notice {
		margin: .5em 0;
		width: 100%;
	}
	.template-notice-logo {
		display: none;
	}
	.template-notice-more {
		display: inline;
	}
	.template-notice-title ~ .template-notice-text,
	.template-notice-title ~ .template-notice-foot {
		display: none;
	}
}